typedef struct _list List;
typedef struct _node Node;

List *list_new();

void list_add(List *l, Node *n);
void list_remove(List *l, Node *n);

Node *list_begin(List *l);
Node *list_next(Node *n);

int list_size(List *l);

Node *list_node_new(void *d);
void list_node_delete(Node *n);

void *list_node_data(Node *n);
